Get import batch detail
curl --request GET \
--url https://api.reconlayer.com/v1/import-batches/{batchId}import requests
url = "https://api.reconlayer.com/v1/import-batches/{batchId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.reconlayer.com/v1/import-batches/{batchId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"organizationId": "<string>",
"importProfileId": "<string>",
"sourceType": "<string>",
"provider": "<string>",
"integrationKey": "<string>",
"originalFileName": "<string>",
"fileStorageKey": "<string>",
"fileHash": "<string>",
"status": "<string>",
"totalRows": 123,
"validRows": 123,
"warningRows": 123,
"failedRows": 123,
"createdByUserId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"auditEvents": [
{
"id": "<string>",
"organizationId": "<string>",
"paymentIntentId": "<string>",
"caseId": "<string>",
"rawRecordId": "<string>",
"importBatchId": "<string>",
"eventType": "<string>",
"actor": "<string>",
"payload": {},
"message": "<string>",
"occurredAt": "2023-11-07T05:31:56Z"
}
]
}{
"error": "<string>",
"message": "<string>",
"issues": [
{}
],
"details": {},
"upstreamStatus": 123
}{
"error": "<string>",
"message": "<string>",
"issues": [
{}
],
"details": {},
"upstreamStatus": 123
}๐ฅ Imports
Get import batch detail
GET
/
v1
/
import-batches
/
{batchId}
Get import batch detail
Headers
Minimum string length:
1Minimum string length:
1Path Parameters
Minimum string length:
1Response
Default Response
Show child attributes
Show child attributes
โI
